Bug 1422197 - nagios-pluggins-http segfaults when using -p for a four-digit port
Summary: nagios-pluggins-http segfaults when using -p for a four-digit port
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: nagios-plugins
Version: el6
Hardware: x86_64
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Stephen John Smoogen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-02-14 17:17 UTC by Cristóbal Palmer
Modified: 2017-06-29 18:17 UTC (History)
7 users (show)

Fixed In Version: nagios-plugins-2.2.1-1.el6
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-06-29 18:17:42 UTC


Attachments (Terms of Use)

Description Cristóbal Palmer 2017-02-14 17:17:39 UTC
Description of problem:

See upstream: https://github.com/nagios-plugins/nagios-plugins/issues/217

Summary:

[root@monitor1 ~]# sudo -u nagios /usr/lib64/nagios/plugins/check_http --version
check_http v2.1.4 (nagios-plugins 2.1.4)
[root@monitor1 ~]# rpm -ql nagios-plugins-http
/usr/lib64/nagios/plugins/check_http
[root@monitor1 ~]# sudo -u nagios /usr/lib64/nagios/plugins/check_http -H etreetracker1.ibiblio.org -p 6969 -u '/check' -e 'HTTP/1.1 200 OK' -s 'OK' -w 10 -c 60 ; echo $?
139

Version-Release number of selected component (if applicable):

# rpm -qa |grep nagios-plugins-http 
nagios-plugins-http-2.1.4-3.el6.x86_64

How reproducible:

On a CentOS 6.8 host, install nagios-plugins-http from EPEL and run check_http against any httpd running on a four-digit port:

Steps to Reproduce:
1. stand up an httpd on a four-digit port on your LAN such as 192.168.0.2:8080
2. Make an HTML document with nothing but "OK" in the body at 192.168.0.2:8080/check
3. stand up nagios instance on a CentOS 6.8 host using packages from EPEL
4. sudo -u nagios /usr/lib64/nagios/plugins/check_http -H 192.168.0.2 -p 8080 -u '/check' -e 'HTTP/1.1 200 OK' -s 'OK' -w 10 -c 60; echo $?

Actual results:

139 # ssgfault

Expected results:

HTTP OK: Status line output matched "HTTP/1.1 200 OK" - HTTP/1.1 200 OK - 199 bytes in 1.093 second response time |time=1.093022s;10.000000;60.000000;0.000000 size=199B;;;0
0 # success

Additional info:

Building from here:

  https://github.com/nagios-plugins/nagios-plugins/tree/maint

fixes the issue.

Comment 1 Fedora Update System 2017-02-15 14:32:16 UTC
nagios-plugins-2.1.4-5.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-4e77054bfa

Comment 2 Fedora Update System 2017-02-16 14:16:16 UTC
nagios-plugins-2.1.4-5.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-4e77054bfa

Comment 3 Fedora Update System 2017-02-16 21:16:01 UTC
nagios-plugins-2.1.4-6.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-b820953367

Comment 4 Fedora Update System 2017-02-17 15:31:02 UTC
nagios-plugins-2.1.4-7.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-994c77a4cd

Comment 5 Fedora Update System 2017-02-18 00:16:55 UTC
nagios-plugins-2.1.4-7.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-994c77a4cd

Comment 6 Fedora Update System 2017-02-25 21:53:23 UTC
nagios-plugins-2.2.0-3.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-5d813cd00d

Comment 7 Fedora Update System 2017-02-25 22:27:36 UTC
nagios-plugins-2.2.0-4.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-b0accaba31

Comment 8 Fedora Update System 2017-02-26 22:48:45 UTC
nagios-plugins-2.2.0-4.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-b0accaba31

Comment 9 Fedora Update System 2017-03-11 00:48:39 UTC
nagios-plugins-2.2.0-6.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-4a502a08b4

Comment 10 Fedora Update System 2017-03-11 12:48:07 UTC
nagios-plugins-2.2.0-6.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-4a502a08b4

Comment 11 Fedora Update System 2017-03-13 13:30:34 UTC
nagios-plugins-2.2.0-7.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-1623674064

Comment 12 Fedora Update System 2017-03-14 00:17:00 UTC
nagios-plugins-2.2.0-7.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-1623674064

Comment 13 Fedora Update System 2017-04-21 00:17:17 UTC
nagios-plugins-2.2.1-1.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-306cbf64b0

Comment 14 Fedora Update System 2017-06-29 18:17:42 UTC
nagios-plugins-2.2.1-1.el6 has been pushed to the Fedora EPEL 6 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.